package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Site band steering.
 */
@ApiModel(description = "Site band steering.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class BandSteeringMultiBandVo   {
  @JsonProperty("mode")
  private Integer mode;

  public BandSteeringMultiBandVo mode(Integer mode) {
    this.mode = mode;
    return this;
  }

  /**
   * Mode should be a value as follows: 0: Disable; 1: Prefer 5GHz/6GHz; 2: Balance
   * @return mode
  */
  @ApiModelProperty(required = true, value = "Mode should be a value as follows: 0: Disable; 1: Prefer 5GHz/6GHz; 2: Balance")
  @NotNull


  public Integer getMode() {
    return mode;
  }

  public void setMode(Integer mode) {
    this.mode = mode;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BandSteeringMultiBandVo bandSteeringMultiBandVo = (BandSteeringMultiBandVo) o;
    return Objects.equals(this.mode, bandSteeringMultiBandVo.mode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mode);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BandSteeringMultiBandVo {\n");
    
    sb.append("    mode: ").append(toIndentedString(mode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

